# Uses of Interface
org.apache.cxf.resource.ResourceResolver

Packages that use ResourceResolver
Package
Description
org.apache.cxf.bus.resource
org.apache.cxf.bus.spring
org.apache.cxf.common.injection
org.apache.cxf.resource

- ## Uses of ResourceResolver in org.apache.cxf.bus.resource

  Method parameters in org.apache.cxf.bus.resource with type arguments of type ResourceResolver
  Modifier and Type
  Method
  Description
  `final void`
  ResourceManagerImpl.`setResolvers(List<? extends ResourceResolver> resolvers)`
  Set the list of resolvers for this resource manager.

- ## Uses of ResourceResolver in org.apache.cxf.bus.spring

  Classes in org.apache.cxf.bus.spring that implement ResourceResolver
  Modifier and Type
  Class
  Description
  `class`
  `BusApplicationContextResourceResolver`

- ## Uses of ResourceResolver in org.apache.cxf.common.injection

  Constructor parameters in org.apache.cxf.common.injection with type arguments of type ResourceResolver
  Modifier
  Constructor
  Description
  ``
  `ResourceInjector(ResourceManager resMgr, List<ResourceResolver> resolvers)`

- ## Uses of ResourceResolver in org.apache.cxf.resource

  Classes in org.apache.cxf.resource that implement ResourceResolver
  Modifier and Type
  Class
  Description
  `class`
  `ClassLoaderResolver`
  `class`
  `ClasspathResolver`
  Resolve resources from the system class path.
  `class`
  `ObjectTypeResolver`
  `class`
  `PropertiesResolver`
  `class`
  `SinglePropertyResolver`
  Fields in org.apache.cxf.resource with type parameters of type ResourceResolver
  Modifier and Type
  Field
  Description
  `protected final List<ResourceResolver>`
  DefaultResourceManager.`registeredResolvers`
  Methods in org.apache.cxf.resource that return types with arguments of type ResourceResolver
  Modifier and Type
  Method
  Description
  `final List<ResourceResolver>`
  DefaultResourceManager.`getResourceResolvers()`
  `List<ResourceResolver>`
  ResourceManager.`getResourceResolvers()`
  Get all the currently registered resolvers.
  Methods in org.apache.cxf.resource with parameters of type ResourceResolver
  Modifier and Type
  Method
  Description
  `final void`
  DefaultResourceManager.`addResourceResolver(ResourceResolver resolver)`
  `void`
  ResourceManager.`addResourceResolver(ResourceResolver resolver)`
  Add a `ResourceResolver`.
  `final void`
  DefaultResourceManager.`removeResourceResolver(ResourceResolver resolver)`
  `void`
  ResourceManager.`removeResourceResolver(ResourceResolver resolver)`
  Remove a `ResourceResolver`.
  Method parameters in org.apache.cxf.resource with type arguments of type ResourceResolver
  Modifier and Type
  Method
  Description
  `final void`
  DefaultResourceManager.`addResourceResolvers(Collection<? extends ResourceResolver> resolvers)`
  `final <T> T`
  DefaultResourceManager.`resolveResource(String name, Class<T> type, List<ResourceResolver> resolvers)`
  `<T> T`
  ResourceManager.`resolveResource(String name, Class<T> type, List<ResourceResolver> resolvers)`
  Resolve a resource with via a specified list of resovlers.
  Constructors in org.apache.cxf.resource with parameters of type ResourceResolver
  Modifier
  Constructor
  Description
  ``
  `DefaultResourceManager(ResourceResolver resolver)`
  Constructor parameters in org.apache.cxf.resource with type arguments of type ResourceResolver
  Modifier
  Constructor
  Description
  ``
  `DefaultResourceManager(List<? extends ResourceResolver> resolvers)`